function [C,timingfile,userdefined_trialholder] = test_userloop(MLConfig,TrialRecord)
C = [];
timingfile = 'test.m';
userdefined_trialholder = '';

persistent timing_filename_returned
if isempty(timing_filename_returned)
    timing_filename_returned = true;
    return
end

persistent ID
if 0==TrialRecord.CurrentTrialNumber  % to load image only once
    image_list = {'A.BMP','B.BMP','C.BMP','D.BMP'};
    ID = [];
    for m=1:length(image_list)
        ID(m) = mgladdbitmap(mglimread(image_list{m}));  % mgladdbitmap returns an MGL object ID that is a double scalar.
    end
    mglsetproperty(ID,'active',false);  % Turn off all images.
end

% Send the IDs to the timing script. You can choose a subset or
% randomize their order for the condition of each trial.
TrialRecord.User.imageIDs = ID(randperm(length(ID)));

end